diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-linux-reno-test.cc ns-3.44/src/internet/test/tcp-linux-reno-test.cc
--- ns-3.43/src/internet/test/tcp-linux-reno-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-linux-reno-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -19,7 +19,7 @@
 NS_LOG_COMPONENT_DEFINE("TcpLinuxRenoTest");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
  * This unit test checks that the slow start and congestion avoidance
  * behavior matches Linux behavior as follows:
@@ -36,15 +36,15 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size.
-     * \param packetSize Size of the packets.
-     * \param packets Number of packets.
-     * \param initialCwnd Initial congestion window
-     * \param delayedAck Delayed Acknowledgement
-     * \param expectedCwnd Expected value of m_cWnd
-     * \param congControl Type of congestion control.
-     * \param desc The test description.
+     * @brief Constructor.
+     * @param segmentSize Segment size.
+     * @param packetSize Size of the packets.
+     * @param packets Number of packets.
+     * @param initialCwnd Initial congestion window
+     * @param delayedAck Delayed Acknowledgement
+     * @param expectedCwnd Expected value of m_cWnd
+     * @param congControl Type of congestion control.
+     * @param desc The test description.
      */
     TcpLinuxRenoSSTest(uint32_t segmentSize,
                        uint32_t packetSize,
@@ -182,7 +182,7 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
  * This unit test checks that the slow start and congestion avoidance
  * behavior matches Linux behavior as follows:
@@ -199,16 +199,16 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size.
-     * \param packetSize Size of the packets.
-     * \param packets Number of packets.
-     * \param initialCwnd Initial congestion window (segments)
-     * \param initialSSThresh Initial slow start threshold (bytes)
-     * \param delayedAck Delayed Acknowledgement
-     * \param expectedCwnd Expected final m_cWnd value
-     * \param congControl Type of congestion control.
-     * \param desc The test description.
+     * @brief Constructor.
+     * @param segmentSize Segment size.
+     * @param packetSize Size of the packets.
+     * @param packets Number of packets.
+     * @param initialCwnd Initial congestion window (segments)
+     * @param initialSSThresh Initial slow start threshold (bytes)
+     * @param delayedAck Delayed Acknowledgement
+     * @param expectedCwnd Expected final m_cWnd value
+     * @param congControl Type of congestion control.
+     * @param desc The test description.
      */
     TcpLinuxRenoCongAvoidTest(uint32_t segmentSize,
                               uint32_t packetSize,
@@ -358,9 +358,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite for the behavior of Linux Reno
+ * @brief TestSuite for the behavior of Linux Reno
  */
 class TcpLinuxRenoTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-loss-test.cc ns-3.44/src/internet/test/tcp-loss-test.cc
--- ns-3.43/src/internet/test/tcp-loss-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-loss-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,9 +16,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpLossTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Check rollover of sequence number and how that affects loss recovery
+ * @brief Check rollover of sequence number and how that affects loss recovery
  *
  * This test checks that fast recovery is entered correctly even if it has
  * been a long time since the last recovery event.  Merge request !156
@@ -44,12 +44,12 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param firstLoss First packet number to force loss
-     * \param secondLoss Second packet number to force loss
-     * \param lastSegment Last packet number to transmit
-     * \param desc Description about the test
+     * @param firstLoss First packet number to force loss
+     * @param secondLoss Second packet number to force loss
+     * @param lastSegment Last packet number to transmit
+     * @param desc Description about the test
      */
     TcpLargeTransferLossTest(uint32_t firstLoss,
                              uint32_t secondLoss,
@@ -163,7 +163,7 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
  * Test various packet losses
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-lp-test.cc ns-3.44/src/internet/test/tcp-lp-test.cc
--- ns-3.43/src/internet/test/tcp-lp-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-lp-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -21,21 +21,21 @@
 NS_LOG_COMPONENT_DEFINE("TcpLpTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the behaviour common to New Reno
+ * @brief Testing the behaviour common to New Reno
  */
 class TcpLpToNewReno : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param cWnd Congestion window size
-     * \param segmentSize Segment size
-     * \param segmentsAcked Segments acked
-     * \param ssThresh Slow start threshold
-     * \param rtt RTT
-     * \param name Test case name
+     * @param cWnd Congestion window size
+     * @param segmentSize Segment size
+     * @param segmentsAcked Segments acked
+     * @param ssThresh Slow start threshold
+     * @param rtt RTT
+     * @param name Test case name
      */
     TcpLpToNewReno(uint32_t cWnd,
                    uint32_t segmentSize,
@@ -101,20 +101,20 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing TcpLp when cwd exceeds threshold
+ * @brief Testing TcpLp when cwd exceeds threshold
  */
 class TcpLpInferenceTest1 : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param cWnd Congestion window size
-     * \param segmentSize Segment size
-     * \param segmentsAcked Segments acked
-     * \param rtt RTT
-     * \param name Test case name
+     * @param cWnd Congestion window size
+     * @param segmentSize Segment size
+     * @param segmentsAcked Segments acked
+     * @param rtt RTT
+     * @param name Test case name
      */
     TcpLpInferenceTest1(uint32_t cWnd,
                         uint32_t segmentSize,
@@ -170,20 +170,20 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing TcpLp when it is inference phase
+ * @brief Testing TcpLp when it is inference phase
  */
 class TcpLpInferenceTest2 : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param cWnd Congestion window size
-     * \param segmentSize Segment size
-     * \param segmentsAcked Segments acked
-     * \param rtt RTT
-     * \param name Test case name
+     * @param cWnd Congestion window size
+     * @param segmentSize Segment size
+     * @param segmentsAcked Segments acked
+     * @param rtt RTT
+     * @param name Test case name
      */
     TcpLpInferenceTest2(uint32_t cWnd,
                         uint32_t segmentSize,
@@ -243,7 +243,7 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
  * Test the behaviour common to New Reno
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-option-test.cc ns-3.44/src/internet/test/tcp-option-test.cc
--- ns-3.43/src/internet/test/tcp-option-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-option-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,26 +16,26 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Window Scaling option Test
+ * @brief TCP Window Scaling option Test
  */
 class TcpOptionWSTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param name Test description.
-     * \param scale Window scaling.
+     * @brief Constructor.
+     * @param name Test description.
+     * @param scale Window scaling.
      */
     TcpOptionWSTestCase(std::string name, uint8_t scale);
 
     /**
-     * \brief Serialization test.
+     * @brief Serialization test.
      */
     void TestSerialize();
     /**
-     * \brief Deserialization test.
+     * @brief Deserialization test.
      */
     void TestDeserialize();
 
@@ -94,25 +94,25 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP TimeStamp option Test
+ * @brief TCP TimeStamp option Test
  */
 class TcpOptionTSTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param name Test description.
      */
     TcpOptionTSTestCase(std::string name);
 
     /**
-     * \brief Serialization test.
+     * @brief Serialization test.
      */
     void TestSerialize();
     /**
-     * \brief Deserialization test.
+     * @brief Deserialization test.
      */
     void TestDeserialize();
 
@@ -184,9 +184,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP options TestSuite
+ * @brief TCP options TestSuite
  */
 class TcpOptionTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-pacing-test.cc ns-3.44/src/internet/test/tcp-pacing-test.cc
--- ns-3.43/src/internet/test/tcp-pacing-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-pacing-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -18,9 +18,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpPacingTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test the behavior of TCP pacing
+ * @brief Test the behavior of TCP pacing
  *
  * This test checks that packets are paced at correct intervals.  The test
  * uses a shadow pacing rate calculation assumed to match the internal
@@ -79,17 +79,17 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size at the TCP layer (bytes).
-     * \param packetSize Size of packets sent at the application layer (bytes).
-     * \param packets Number of packets.
-     * \param pacingSsRatio Pacing Ratio during Slow Start (multiplied by 100)
-     * \param pacingCaRatio Pacing Ratio during Congestion Avoidance (multiplied by 100)
-     * \param ssThresh slow start threshold (bytes)
-     * \param paceInitialWindow whether to pace the initial window
-     * \param delAckMaxCount Delayed ACK max count parameter
-     * \param congControl Type of congestion control.
-     * \param desc The test description.
+     * @brief Constructor.
+     * @param segmentSize Segment size at the TCP layer (bytes).
+     * @param packetSize Size of packets sent at the application layer (bytes).
+     * @param packets Number of packets.
+     * @param pacingSsRatio Pacing Ratio during Slow Start (multiplied by 100)
+     * @param pacingCaRatio Pacing Ratio during Congestion Avoidance (multiplied by 100)
+     * @param ssThresh slow start threshold (bytes)
+     * @param paceInitialWindow whether to pace the initial window
+     * @param delAckMaxCount Delayed ACK max count parameter
+     * @param congControl Type of congestion control.
+     * @param desc The test description.
      */
     TcpPacingTest(uint32_t segmentSize,
                   uint32_t packetSize,
@@ -113,7 +113,7 @@
     void NormalClose(SocketWho who) override;
 
     /**
-     * \brief Update the expected interval at which next packet will be sent
+     * @brief Update the expected interval at which next packet will be sent
      */
     virtual void UpdateExpectedInterval();
 
@@ -174,11 +174,11 @@
       m_paceInitialWindow(paceInitialWindow),
       m_delAckMaxCount(delAckMaxCount),
       m_isConnAboutToEnd(false),
-      m_transmissionStartTime(Seconds(0)),
-      m_expectedInterval(Seconds(0)),
+      m_transmissionStartTime(),
+      m_expectedInterval(),
       m_packetsSent(0),
-      m_nextPacketInterval(Seconds(0)),
-      m_tracedRtt(Seconds(0))
+      m_nextPacketInterval(),
+      m_tracedRtt()
 {
     m_congControlTypeId = typeId;
 }
@@ -353,9 +353,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite for the behavior of TCP pacing
+ * @brief TestSuite for the behavior of TCP pacing
  */
 class TcpPacingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-pkts-acked-test.cc ns-3.44/src/internet/test/tcp-pkts-acked-test.cc
--- ns-3.43/src/internet/test/tcp-pkts-acked-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-pkts-acked-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -18,9 +18,9 @@
 class DummyCongControl;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Check the number of times that PktsAcked is called
+ * @brief Check the number of times that PktsAcked is called
  *
  * Set a custom congestion control class, which calls PktsAckedCalled
  * each time the TCP implementation calls PktsAcked.
@@ -29,21 +29,21 @@
  * by segment size should be the same as the number of segments passed through
  * PktsAcked in the congestion control.
  *
- * \see DummyCongControl
- * \see FinalChecks
+ * @see DummyCongControl
+ * @see FinalChecks
  */
 class TcpPktsAckedOpenTest : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor.
-     * \param desc Test description.
+     * @brief Constructor.
+     * @param desc Test description.
      */
     TcpPktsAckedOpenTest(const std::string& desc);
 
     /**
-     * \brief Called when an ACK is received.
-     * \param segmentsAcked The segment ACKed.
+     * @brief Called when an ACK is received.
+     * @param segmentsAcked The segment ACKed.
      */
     void PktsAckedCalled(uint32_t segmentsAcked);
 
@@ -63,17 +63,17 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Behaves as NewReno, except that each time PktsAcked is called,
+ * @brief Behaves as NewReno, except that each time PktsAcked is called,
  * a notification is sent to TcpPktsAckedOpenTest.
  */
 class DummyCongControl : public TcpNewReno
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -82,8 +82,8 @@
     }
 
     /**
-     * \brief Set the callback to be used when an ACK is received.
-     * \param test The callback.
+     * @brief Set the callback to be used when an ACK is received.
+     * @param test The callback.
      */
     void SetCallback(Callback<void, uint32_t> test)
     {
@@ -159,9 +159,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief PktsAcked is calls TestSuite.
+ * @brief PktsAcked is calls TestSuite.
  */
 class TcpPktsAckedTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-prr-recovery-test.cc ns-3.44/src/internet/test/tcp-prr-recovery-test.cc
--- ns-3.43/src/internet/test/tcp-prr-recovery-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-prr-recovery-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -22,21 +22,21 @@
 NS_LOG_COMPONENT_DEFINE("TcpPrrRecoveryTestSuite");
 
 /**
- * \brief PRR Recovery algorithm test
+ * @brief PRR Recovery algorithm test
  */
 class PrrRecoveryTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param ssThresh Slow Start Threshold.
-     * \param unAckDataCount Unacknowledged data at the start of recovery.
-     * \param bytesInFlight Current bytes in flight.
-     * \param m_deliveredBytes Bytes SACKed on last acknowledgment.
-     * \param bytesSent Bytes sent while in recovery phase.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param ssThresh Slow Start Threshold.
+     * @param unAckDataCount Unacknowledged data at the start of recovery.
+     * @param bytesInFlight Current bytes in flight.
+     * @param m_deliveredBytes Bytes SACKed on last acknowledgment.
+     * @param bytesSent Bytes sent while in recovery phase.
+     * @param name Test description.
      */
     PrrRecoveryTest(uint32_t cWnd,
                     uint32_t segmentSize,
@@ -127,9 +127,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief PRR Recovery TestSuite
+ * @brief PRR Recovery TestSuite
  */
 class PrrRecoveryTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-rate-ops-test.cc ns-3.44/src/internet/test/tcp-rate-ops-test.cc
--- ns-3.43/src/internet/test/tcp-rate-ops-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-rate-ops-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -25,21 +25,21 @@
 class MimicCongControl;
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief The TcpRateLinux Basic Test
+ * @brief The TcpRateLinux Basic Test
  */
 class TcpRateLinuxBasicTest : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param cWnd Congestion window size
-     * \param tailSeq Tail sequence number
-     * \param nextTx Tx next sequence number
-     * \param testCase test case type
-     * \param testName test name
+     * @param cWnd Congestion window size
+     * @param tailSeq Tail sequence number
+     * @param nextTx Tx next sequence number
+     * @param testCase test case type
+     * @param testName test name
      */
     TcpRateLinuxBasicTest(uint32_t cWnd,
                           SequenceNumber32 tailSeq,
@@ -52,12 +52,12 @@
 
     /**
      * Send an application packet
-     * \param skb the data to send
+     * @param skb the data to send
      */
     void SendSkb(TcpTxItem* skb);
     /**
      * Deliver an application packet
-     * \param skb the data to deliver
+     * @param skb the data to deliver
      */
     void SkbDelivered(TcpTxItem* skb);
 
@@ -83,7 +83,7 @@
       m_inFlight(0),
       m_segmentSize(1),
       m_delivered(0),
-      m_deliveredTime(Seconds(0)),
+      m_deliveredTime(),
       m_tailSeq(tailSeq),
       m_nextTx(nextTx),
       m_testCase(testCase)
@@ -96,15 +96,12 @@
     for (uint8_t i = 0; i < 100; ++i)
     {
         m_skbs.push_back(new TcpTxItem());
-        Simulator::Schedule(Time(Seconds(i * 0.01)),
-                            &TcpRateLinuxBasicTest::SendSkb,
-                            this,
-                            m_skbs[i]);
+        Simulator::Schedule(Seconds(i * 0.01), &TcpRateLinuxBasicTest::SendSkb, this, m_skbs[i]);
     }
 
     for (uint8_t i = 0; i < 100; ++i)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * 0.1)),
+        Simulator::Schedule(Seconds((i + 1) * 0.1),
                             &TcpRateLinuxBasicTest::SkbDelivered,
                             this,
                             m_skbs[i]);
@@ -172,16 +169,16 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Behaves as NewReno except HasCongControl returns true
+ * @brief Behaves as NewReno except HasCongControl returns true
  */
 class MimicCongControl : public TcpNewReno
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -206,10 +203,10 @@
 }
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief The TcpRateLinux Test uses sender-receiver model to test its functionality.
+ * @brief The TcpRateLinux Test uses sender-receiver model to test its functionality.
  *        This test case uses the bytes inflight trace to check whether rate sample
  *        correctly sets the value of m_deliveredTime and m_firstSentTime. This is
  *        done using rate trace. Further, Using Rx trace, m_isDupAck is maintained to
@@ -220,10 +217,10 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param desc Description.
-     * \param sackEnabled To use SACK or not
-     * \param toDrop Packets to drop.
+     * @brief Constructor.
+     * @param desc Description.
+     * @param sackEnabled To use SACK or not
+     * @param toDrop Packets to drop.
      */
     TcpRateLinuxWithSocketsTest(const std::string& desc,
                                 bool sackEnabled,
@@ -231,60 +228,60 @@
 
   protected:
     /**
-     * \brief Create and install the socket to install on the sender
-     * \param node sender node pointer
-     * \return the socket to be installed in the sender
+     * @brief Create and install the socket to install on the sender
+     * @param node sender node pointer
+     * @return the socket to be installed in the sender
      */
     Ptr<TcpSocketMsgBase> CreateSenderSocket(Ptr<Node> node) override;
 
     /**
-     * \brief Create a receiver error model.
-     * \returns The receiver error model.
+     * @brief Create a receiver error model.
+     * @returns The receiver error model.
      */
     Ptr<ErrorModel> CreateReceiverErrorModel() override;
 
     /**
-     * \brief Receive a packet.
-     * \param p The packet.
-     * \param h The TCP header.
-     * \param who Who the socket belongs to (sender or receiver).
+     * @brief Receive a packet.
+     * @param p The packet.
+     * @param h The TCP header.
+     * @param who Who the socket belongs to (sender or receiver).
      */
     void Rx(const Ptr<const Packet> p, const TcpHeader& h, SocketWho who) override;
 
     /**
-     * \brief Track the bytes in flight.
-     * \param oldValue previous value.
-     * \param newValue actual value.
+     * @brief Track the bytes in flight.
+     * @param oldValue previous value.
+     * @param newValue actual value.
      */
     void BytesInFlightTrace(uint32_t oldValue, uint32_t newValue) override;
 
     /**
-     * \brief Called when a packet is dropped.
-     * \param ipH The IP header.
-     * \param tcpH The TCP header.
-     * \param p The packet.
+     * @brief Called when a packet is dropped.
+     * @param ipH The IP header.
+     * @param tcpH The TCP header.
+     * @param p The packet.
      */
     void PktDropped(const Ipv4Header& ipH, const TcpHeader& tcpH, Ptr<const Packet> p);
 
     /**
-     * \brief Configure the test.
+     * @brief Configure the test.
      */
     void ConfigureEnvironment() override;
 
     /**
-     * \brief Do the final checks.
+     * @brief Do the final checks.
      */
     void FinalChecks() override;
 
     /**
-     * \brief Track the rate value of TcpRateLinux.
-     * \param rate updated value of TcpRate.
+     * @brief Track the rate value of TcpRateLinux.
+     * @param rate updated value of TcpRate.
      */
     void RateUpdatedTrace(const TcpRateLinux::TcpRateConnection& rate) override;
 
     /**
-     * \brief Track the rate sample value of TcpRateLinux.
-     * \param sample updated value of TcpRateSample.
+     * @brief Track the rate sample value of TcpRateLinux.
+     * @param sample updated value of TcpRateSample.
      */
     void RateSampleUpdatedTrace(const TcpRateLinux::TcpRateSample& sample) override;
 
@@ -323,7 +320,7 @@
     TcpGeneralTest::ConfigureEnvironment();
     SetAppPktCount(300);
     SetPropagationDelay(MilliSeconds(50));
-    SetTransmitStart(Seconds(2.0));
+    SetTransmitStart(Seconds(2));
 
     Config::SetDefault("ns3::TcpSocketBase::Sack", BooleanValue(m_sackEnabled));
 }
@@ -424,19 +421,19 @@
 }
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief The TcpRateLinuxWithBufferTest tests rate sample functionality with arbitrary SACK
+ * @brief The TcpRateLinuxWithBufferTest tests rate sample functionality with arbitrary SACK
  * scenario. Check the value of delivered against a home-made guess
  */
 class TcpRateLinuxWithBufferTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size to use.
-     * \param desc Description.
+     * @brief Constructor.
+     * @param segmentSize Segment size to use.
+     * @param desc Description.
      */
     TcpRateLinuxWithBufferTest(uint32_t segmentSize, std::string desc);
 
@@ -445,21 +442,21 @@
     void DoTeardown() override;
 
     /**
-     * \brief Track the rate value of TcpRateLinux.
-     * \param rate updated value of TcpRate.
+     * @brief Track the rate value of TcpRateLinux.
+     * @param rate updated value of TcpRate.
      */
     virtual void RateUpdatedTrace(const TcpRateLinux::TcpRateConnection& rate);
 
     /**
-     * \brief Track the rate sample value of TcpRateLinux.
-     * \param sample updated value of TcpRateSample.
+     * @brief Track the rate sample value of TcpRateLinux.
+     * @param sample updated value of TcpRateSample.
      */
     virtual void RateSampleUpdatedTrace(const TcpRateLinux::TcpRateSample& sample);
 
-    /** \brief Test with acks without drop */
+    /** @brief Test with acks without drop */
     void TestWithStraightAcks();
 
-    /** \brief Test with arbitrary SACK scenario */
+    /** @brief Test with arbitrary SACK scenario */
     void TestWithSackBlocks();
 
     uint32_t m_expectedDelivered{0};   //!< Amount of expected delivered data
@@ -485,7 +482,7 @@
 void
 TcpRateLinuxWithBufferTest::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpRateLinuxWithBufferTest::TestWithSackBlocks, this);
+    Simulator::Schedule(Seconds(0), &TcpRateLinuxWithBufferTest::TestWithSackBlocks, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -582,9 +579,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief the TestSuite for the TcpRateLinux test case
+ * @brief the TestSuite for the TcpRateLinux test case
  */
 class TcpRateOpsTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-rto-test.cc ns-3.44/src/internet/test/tcp-rto-test.cc
--- ns-3.43/src/internet/test/tcp-rto-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-rto-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -18,9 +18,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the moments after an RTO expiration
+ * @brief Testing the moments after an RTO expiration
  *
  * The scope of this test is to be sure that, after an RTO expiration,
  * the TCP implementation set the correct state in the ACK state machine,
@@ -33,9 +33,9 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param congControl Congestion control type.
-     * \param msg Test description.
+     * @brief Constructor.
+     * @param congControl Congestion control type.
+     * @param msg Test description.
      */
     TcpRtoTest(const TypeId& congControl, const std::string& msg);
 
@@ -154,9 +154,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the ssthresh behavior after the RTO expires
+ * @brief Testing the ssthresh behavior after the RTO expires
  *
  * The scope of this test is to be sure that, after an RTO expiration,
  * the TCP implementation sets the correct ssthresh value
@@ -166,11 +166,11 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param congControl congestion control type
-     * \param seqToDrop sequence number to drop
-     * \param minRto minimum RTO
-     * \param msg test description
+     * @brief Constructor.
+     * @param congControl congestion control type
+     * @param seqToDrop sequence number to drop
+     * @param minRto minimum RTO
+     * @param msg test description
      */
     TcpSsThreshRtoTest(const TypeId& congControl,
                        uint32_t seqToDrop,
@@ -188,10 +188,10 @@
     void ConfigureEnvironment() override;
 
     /**
-     * \brief Called when a packet has been dropped.
-     * \param ipH IPv4 header.
-     * \param tcpH TCP header.
-     * \param p The packet.
+     * @brief Called when a packet has been dropped.
+     * @param ipH IPv4 header.
+     * @param tcpH TCP header.
+     * @param p The packet.
      */
     void PktDropped(const Ipv4Header& ipH, const TcpHeader& tcpH, Ptr<const Packet> p);
 
@@ -300,9 +300,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the timing of RTO
+ * @brief Testing the timing of RTO
  *
  * Checking if RTO is doubled ONLY after a retransmission.
  */
@@ -310,9 +310,9 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param congControl Congestion control type.
-     * \param msg Test description.
+     * @brief Constructor.
+     * @param congControl Congestion control type.
+     * @param msg Test description.
      */
     TcpTimeRtoTest(const TypeId& congControl, const std::string& msg);
 
@@ -327,10 +327,10 @@
     void ConfigureEnvironment() override;
 
     /**
-     * \brief Called when a packet has been dropped.
-     * \param ipH IPv4 header.
-     * \param tcpH TCP header.
-     * \param p The packet.
+     * @brief Called when a packet has been dropped.
+     * @param ipH IPv4 header.
+     * @param tcpH TCP header.
+     * @param p The packet.
      */
     void PktDropped(const Ipv4Header& ipH, const TcpHeader& tcpH, Ptr<const Packet> p);
 
@@ -495,9 +495,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP RTO TestSuite
+ * @brief TCP RTO TestSuite
  */
 class TcpRtoTestSuite : public TestSuite
 {
